MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
DecoderReader Class Referencefinal

A wrapper for decoder_read() which implements the Reader interface. More...

`#include <Reader.hxx>`

Inheritance diagram for DecoderReader:
[legend]
Collaboration diagram for DecoderReader:
[legend]

## Public Member Functions
| DecoderReader (DecoderClient &_client, InputStream &_is)
DecoderClient & | GetClient ()
InputStream & | GetInputStream ()
size_t | Read (void *data, size_t size) override
| Read data from the stream. More...
Public Member Functions inherited from Reader
| Reader ()=default
| Reader (const Reader &)=delete

## Detailed Description

A wrapper for decoder_read() which implements the Reader interface.

Definition at line 34 of file Reader.hxx.

## Constructor & Destructor Documentation

DecoderReader::DecoderReader | ( | DecoderClient & | _client,
|  | InputStream & | _is
| ) |  |
| inline

Definition at line 39 of file Reader.hxx.

## Member Function Documentation

DecoderClient& DecoderReader::GetClient | ( |  | ) |
| inline

Definition at line 42 of file Reader.hxx.

InputStream& DecoderReader::GetInputStream | ( |  | ) |
| inline

Definition at line 46 of file Reader.hxx.

size_t DecoderReader::Read | ( | void * | data,
|  | size_t | size
| ) |  |
| override virtual

Read data from the stream.

Returns
  the number of bytes read into the given buffer or 0 on end-of-stream

Implements Reader.

The documentation for this class was generated from the following file:

- decoder/Reader.hxx